Package ec.gp

# Class GPBreedingPipeline

java.lang.Object
ec.BreedingSource
ec.BreedingPipeline
ec.gp.GPBreedingPipeline

All Implemented Interfaces:
  `Prototype`, `Setup`, `SteadyStateBSourceForm`, `RandomChoiceChooserD`, `Serializable`, `Cloneable`

Direct Known Subclasses:
  `CrossoverPipeline`, `InternalCrossoverPipeline`, `MutateAllNodesPipeline`, `MutateDemotePipeline`, `MutateERCPipeline`, `MutateOneNodePipeline`, `MutatePromotePipeline`, `MutateSwapPipeline`, `MutationPipeline`, `RehangPipeline`, `SizeFairCrossoverPipeline`

public abstract class GPBreedingPipeline extends BreedingPipeline
A GPBreedingPipeline is a BreedingPipeline which produces only members of some subclass of GPSpecies. This is just a convenience superclass for many of the breeding pipelines here; you don't have to be a GPBreedingPipeline in order to breed GPSpecies or anything.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `P_NODESELECTOR`
  Standard parameter for node-selectors associated with a GPBreedingPipeline
  `static final String`
  `P_TREE`
  Standard parameter for tree fixing
  `static final int`
  `TREE_UNFIXED`
  Standard value for an unfixed tree

  ### Fields inherited from class ec.BreedingPipeline

  `DYNAMIC_SOURCES, likelihood, mybase, P_LIKELIHOOD, P_NUMSOURCES, P_SOURCE, sources, V_SAME, V_STUB`

  ### Fields inherited from class ec.BreedingSource

  `NO_PROBABILITY, P_PROB, probability`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GPBreedingPipeline()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `produces(EvolutionState state, Population newpop, int subpopulation, int thread)`
  Returns true if s is a GPSpecies.

  ### Methods inherited from class ec.BreedingPipeline

  `clone, fillStubs, finishProducing, individualReplaced, maxChildProduction, minChildProduction, numSources, preparePipeline, prepareToProduce, setup, sourcesAreProperForm, typicalIndsProduced`

  ### Methods inherited from class ec.BreedingSource

  `getProbability, pickRandom, produce, setProbability, setupProbabilities`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ec.Prototype

  `defaultBase`

- ## Field Details

  - ### P_NODESELECTOR

    public static final String P_NODESELECTOR
    Standard parameter for node-selectors associated with a GPBreedingPipeline
    See Also:
      - Constant Field Values

  - ### P_TREE

    public static final String P_TREE
    Standard parameter for tree fixing
    See Also:
      - Constant Field Values

  - ### TREE_UNFIXED

    public static final int TREE_UNFIXED
    Standard value for an unfixed tree
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GPBreedingPipeline

    public GPBreedingPipeline()

- ## Method Details

  - ### produces

    public boolean produces(EvolutionState state, Population newpop, int subpopulation, int thread)
    Returns true if s is a GPSpecies.
    Overrides:
      `produces` in class `BreedingPipeline`